summaryrefslogtreecommitdiff
path: root/bin/build-packages
diff options
context:
space:
mode:
Diffstat (limited to 'bin/build-packages')
-rwxr-xr-xbin/build-packages6
1 files changed, 6 insertions, 0 deletions
diff --git a/bin/build-packages b/bin/build-packages
index 16521c9..be6bf16 100755
--- a/bin/build-packages
+++ b/bin/build-packages
@@ -1105,4 +1105,10 @@ while [ "${count}" -ne 0 ] && \
done
+# remove the slave switch file if it exists (and if we are runnig on a slave)
+if ! ${i_am_the_master}; then
+ SLAVE=$(whoami)
+ [ -f "/tmp/do-not-run-build-slave.$SLAVE" ] && rm "/tmp/do-not-run-build-slave.$SLAVE"
+fi
+
>&2 echo 'Done.'